Subject: bug#14560: closed (Re: bug#14560: C Compilation variables present in output Makefiles unconditionally)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Jun 2013 17:45:03 +0000

Your bug report

#14560: C Compilation variables present in output Makefiles unconditionally

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14560: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14560
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14560: C Compilation variables present in output Makefiles unconditionally
From: Stefano Lattarini <[email-masked]>
To: Ralf Corsepius <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, [email-masked]
Date: Wed, 12 Jun 2013 19:44:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 06/12/2013 04:14 PM, Ralf Corsepius wrote:
> On 06/12/2013 12:25 PM, Stefano Lattarini wrote:
>>
>> Thanks, this is exactly what I needed, and your diagnosis seems spot-on.
>> I will soon post a couple of patches that should first expose and then
>> fix the issue.
> I gave your patches some "life-testing" - AFAICT so far, they seem to
> resolve the issue. Thanks.
>
OK, thanks for testing.  I will push the patches shortly.  And I'm
closing this bug report.

>> BTW, I notice your e-mail in THANKS might be outdated.
> Yes, this address is outdated for many years ;)
> 
>> Should I replace it with the one you are using recently?
> Yes. I think replacing it with
>  [email-masked]
> would be appropriate.
>
Will do with a follow-up patch.

Best regards,
  Stefano

Subject: C Compilation variables present in output Makefiles unconditionally
From: Stefano Lattarini <[email-masked]>
To: Ralf Corsepius <[email-masked]>
Cc: [email-masked], Automake List <[email-masked]>
Date: Wed, 05 Jun 2013 12:03:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[+cc bug-automake, so this will be registered in the bug tracker]

On 06/05/2013 07:16 AM, Ralf Corsepius wrote:
> On 06/03/2013 09:14 PM, Stefano Lattarini wrote:
>> We are pleased to announce the GNU Automake 1.13.3 maintenance release.
> 
> When comparing automake-1.13.2 generated Makefile.ins against
> automake-1.13.3 generated Makefile.in, in projects which are
> _not_ using "c" I am observing changes like this one below:
> 
> --- a/Makefile.in
> +++ b/Makefile.in
> ...
> @@ -109,6 +109,18 @@ AM_V_at = $(am__v_at_@AM_V@)
>  am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
>  am__v_at_0 = @
>  am__v_at_1 =
> +COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
> +       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
> +AM_V_CC = $(am__v_CC_@AM_V@)
> +am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
> +am__v_CC_0 = @echo "  CC      " $@;
> +am__v_CC_1 =
> +CCLD = $(CC)
> +LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
> +AM_V_CCLD = $(am__v_CCLD_@AM_V@)
> +am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
> +am__v_CCLD_0 = @echo "  CCLD    " $@;
> +am__v_CCLD_1 =
>  SOURCES =
>  DIST_SOURCES =
>  AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
> ...
>
Yeah, this shouldn't happen.  Not a serious regression thankfully,
but still unpleasant.

> So far, I havn't had sufficient time to implement a simple reproducer,
> but I am inclined to believe, automake-1.13.3 inserts c-compiler
> related vars into Makefile.ins, in cases no C-compiler is being used.
>
Thanks for the report, I'll try to look into this ASAP (might be
few days though).  I already have in mind which set of changes
can be responsible for the regression (that is, those related to
the fixing of automake bug#14441).

Regards,
  Stefano